part of model_service;

@Injectable()
class JournalService extends ModelService
{
  @override
  JournalService() : super("journal");

  @override
  JournalEntry createModelInstance(String id, Map<String, dynamic> data)
  {
    return new JournalEntry.decode(id, data);
  }


  Future<String> uploadImage(String data_base64) async
  {
    String filename = new DateTime.now().millisecondsSinceEpoch.toString() + ".jpg";
    _loading = true;
    await _imagesRef.child(filename).putString(data_base64, "base64", new firebase.UploadMetadata(contentType: "image/jpeg"));
    _loading = false;
    return filename;
  }
  
  final firebase.StorageReference _imagesRef = firebase.storage().ref().child("journal-images");
}